GDB (xrefs)

Public Attributes | List of all members
generic_val_print_decorations Struct Reference

`#include "valprint.h"`

## Public Attributes
const char * | complex_prefix
const char * | complex_infix
const char * | complex_suffix
const char * | true_name
const char * | false_name
const char * | void_name
const char * | array_start
const char * | array_end

## Detailed Description

Definition at line 169 of file valprint.h.

## Member Data Documentation

## ◆ array_end

const char* generic_val_print_decorations::array_end

Definition at line 189 of file valprint.h.

Referenced by generic_val_print_array().

## ◆ array_start

const char* generic_val_print_decorations::array_start

Definition at line 188 of file valprint.h.

Referenced by generic_val_print_array().

## ◆ complex_infix

const char* generic_val_print_decorations::complex_infix

Definition at line 175 of file valprint.h.

Referenced by generic_val_print_complex().

## ◆ complex_prefix

const char* generic_val_print_decorations::complex_prefix

Definition at line 174 of file valprint.h.

Referenced by generic_val_print_complex().

## ◆ complex_suffix

const char* generic_val_print_decorations::complex_suffix

Definition at line 176 of file valprint.h.

Referenced by generic_val_print_complex().

## ◆ false_name

const char* generic_val_print_decorations::false_name

Definition at line 181 of file valprint.h.

Referenced by generic_val_print_bool().

## ◆ true_name

const char* generic_val_print_decorations::true_name

Definition at line 180 of file valprint.h.

Referenced by generic_val_print_bool().

## ◆ void_name

const char* generic_val_print_decorations::void_name

Definition at line 185 of file valprint.h.

Referenced by generic_val_print().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/valprint.h